BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/ai-edit/runs

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/ai-edit/runs" \  -H "Content-Type: application/json" \  -d '{    "style_id": "mirage-black"  }'
{  "run": {    "id": "string",    "project_id": "string",    "organization_id": "string",    "user_id": "string",    "api_key_id": "string",    "execution_mode": "external_controller",    "credit_mode": "external",    "controller_kind": "api",    "status": "queued",    "style_id": "mirage-black",    "quality_target": "fast",    "run_config": {      "property1": null,      "property2": null    },    "budget_receipt": {      "property1": null,      "property2": null    },    "summary": "string",    "failure_message": "string",    "completed_at": "string",    "created_at": "string",    "updated_at": "string"  },  "context": {    "property1": null,    "property2": null  }}